﻿//DESCRIPTION: Change Glyph Size, Leading, Position and Tracking of Break Paragraph Symbols
//SOURCE https://github.com/GitBruno/Novelty/blob/master/Scripts/Fix_Paragraph_Endleading.jsx
// Latest github commit e8bb130 on May 21, 2018
// Improved in March 11, 2023


if (app.documents.length<1){exit()}
var doc = app.activeDocument;
for (var i=0;i<doc.stories.length;i++){
    var myStory = doc.stories[i];
    for (j=0;j<myStory.paragraphs.length;j++){
        var myPara = myStory.paragraphs[j];
        if (myPara.characters[-1].contents == "\r"){
        try{            
            myPara.characters[-1].pointSize = myPara.characters[-2].pointSize;
            myPara.characters[-1].leading = myPara.characters[-2].leading;
            myPara.characters[-1].position = myPara.characters[-2].position; // imprvd
            myPara.characters[-1].tracking = myPara.characters[-2].tracking; // imprvd
                } catch (e) {}
            }
        }
    }